-- begin SERVICEPROJECT_MANUFACTURE
create table SERVICEPROJECT_MANUFACTURE (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    address varchar(255),
    telephone varchar(255),
    service_phone varchar(255),
    fax varchar(255),
    link_person varchar(255),
    link_person_phone varchar(255),
    service_person varchar(255),
    service_person_phone varchar(255),
    email varchar(255),
    orgnazation_code varchar(255),
    bank varchar(255),
    tax_number varchar(255),
    post_code varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_MANUFACTURE
-- begin SERVICEPROJECT_EVENT_STATUS
create table SERVICEPROJECT_EVENT_STATUS (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    memo varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_EVENT_STATUS
-- begin SERVICEPROJECT_FAULT_REASON
create table SERVICEPROJECT_FAULT_REASON (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    memo varchar(255),
    device_type_id varchar(32) not null,
    symptom_id varchar(32) not null,
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_FAULT_REASON
-- begin SERVICEPROJECT_HANDLE_METHOD
create table SERVICEPROJECT_HANDLE_METHOD (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    symptom_id varchar(32),
    device_type_id varchar(32),
    fault_reason_id varchar(32),
    memo varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_HANDLE_METHOD
-- begin SERVICEPROJECT_DEPARTMENT
create table SERVICEPROJECT_DEPARTMENT (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    NAME varchar(255),
    address varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_DEPARTMENT
-- begin SERVICEPROJECT_DEVICE
create table SERVICEPROJECT_DEVICE (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    device_type_id varchar(32) not null,
    device_model_id varchar(32) not null,
    manufacture_id varchar(32) not null,
    supplier_id varchar(32) not null,
    campus_id varchar(32) not null,
    purchase_date datetime(3),
    on_date datetime(3),
    life_time varchar(255),
    classroom_id varchar(32) not null,
    memo varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_DEVICE
-- begin SERVICEPROJECT_SUPPLIER
create table SERVICEPROJECT_SUPPLIER (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    address varchar(255),
    post_code varchar(255),
    telephone varchar(255),
    fax varchar(255),
    link_person varchar(255),
    link_person_phone varchar(255),
    orgnazation_code varchar(255),
    bank varchar(255),
    tax_number varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_SUPPLIER
-- begin SERVICEPROJECT_CLASSROOM
create table SERVICEPROJECT_CLASSROOM (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    building_id varchar(32) not null,
    campus_id varchar(32) not null,
    floor integer,
    memo varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_CLASSROOM
-- begin SERVICEPROJECT_EVENT_PROCESS
create table SERVICEPROJECT_EVENT_PROCESS (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    event_id varchar(32) not null,
    handle_date datetime(3),
    process_content varchar(255),
    handler_name varchar(255),
    handler_company_id varchar(32),
    team_user_id varchar(32) not null,
    handler_phone varchar(255),
    status varchar(32) not null,
    handlemethod_id varchar(32),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_EVENT_PROCESS
-- begin SERVICEPROJECT_CITY
create table SERVICEPROJECT_CITY (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_CITY
-- begin SERVICEPROJECT_EVENT
create table SERVICEPROJECT_EVENT (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    classroom_id varchar(32) not null,
    device_id varchar(32) not null,
    symptom_id varchar(32) not null,
    p_fault_reason_id varchar(32) not null,
    fault_reason_id varchar(32) not null,
    campus_id varchar(32) not null,
    event_date datetime(3),
    influence varchar(255),
    memo varchar(255),
    status varchar(32) not null,
    finish_date datetime(3),
    handle_user_id varchar(32) not null,
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_EVENT
-- begin SERVICEPROJECT_SYMPTOM
create table SERVICEPROJECT_SYMPTOM (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    memo varchar(255),
    device_type_id varchar(32) not null,
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_SYMPTOM
-- begin SERVICEPROJECT_DEVICE_TYPE
create table SERVICEPROJECT_DEVICE_TYPE (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    root boolean,
    parent_id varchar(32),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_DEVICE_TYPE
-- begin SERVICEPROJECT_DEVICE_MODEL
create table SERVICEPROJECT_DEVICE_MODEL (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    type_id varchar(32) not null,
    manufacture_id varchar(32) not null,
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_DEVICE_MODEL
-- begin SERVICEPROJECT_DISTRICT
create table SERVICEPROJECT_DISTRICT (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    city_id varchar(32) not null,
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_DISTRICT
-- begin SERVICEPROJECT_BUILDING
create table SERVICEPROJECT_BUILDING (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    address varchar(255),
    floors integer,
    classroom_amount integer,
    campus_id varchar(32) not null,
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_BUILDING
-- begin SERVICEPROJECT_UNIVERSITY
create table SERVICEPROJECT_UNIVERSITY (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    address varchar(255),
    telephone varchar(255),
    linke_person varchar(255),
    post_code varchar(255),
    department_id varchar(32),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_UNIVERSITY
-- begin SERVICEPROJECT_UNIVERSITY_CAMPUS
create table SERVICEPROJECT_UNIVERSITY_CAMPUS (
    ID varchar(32),
    VERSION integer not null,
    CREATE_TS datetime(3),
    CREATED_BY varchar(50),
    UPDATE_TS datetime(3),
    UPDATED_BY varchar(50),
    DELETE_TS datetime(3),
    DELETED_BY varchar(50),
    --
    name varchar(255),
    address varchar(255),
    telephone varchar(255),
    post_code varchar(255),
    university_id varchar(32) not null,
    group_id varchar(32),
    --
    primary key (ID)
)^
-- end SERVICEPROJECT_UNIVERSITY_CAMPUS
