-- begin SERVICEPROJECT_FAULT_REASON
alter table SERVICEPROJECT_FAULT_REASON add constraint FK_SERVICEPROJECT_FAULT_REASON_ON_DEVICE_TYPE foreign key (DEVICE_TYPE_ID) references SERVICEPROJECT_DEVICE_TYPE(ID)^
alter table SERVICEPROJECT_FAULT_REASON add constraint FK_SERVICEPROJECT_FAULT_REASON_ON_SYMPTOM foreign key (SYMPTOM_ID) references SERVICEPROJECT_SYMPTOM(ID)^
create index IDX_SERVICEPROJECT_FAULT_REASON_ON_DEVICE_TYPE on SERVICEPROJECT_FAULT_REASON (DEVICE_TYPE_ID)^
create index IDX_SERVICEPROJECT_FAULT_REASON_ON_SYMPTOM on SERVICEPROJECT_FAULT_REASON (SYMPTOM_ID)^
-- end SERVICEPROJECT_FAULT_REASON
-- begin SERVICEPROJECT_HANDLE_METHOD
alter table SERVICEPROJECT_HANDLE_METHOD add constraint FK_SERVICEPROJECT_HANDLE_METHOD_ON_SYMPTOM foreign key (SYMPTOM_ID) references SERVICEPROJECT_SYMPTOM(ID)^
alter table SERVICEPROJECT_HANDLE_METHOD add constraint FK_SERVICEPROJECT_HANDLE_METHOD_ON_DEVICE_TYPE foreign key (DEVICE_TYPE_ID) references SERVICEPROJECT_DEVICE_TYPE(ID)^
alter table SERVICEPROJECT_HANDLE_METHOD add constraint FK_SERVICEPROJECT_HANDLE_METHOD_ON_FAULT_REASON foreign key (FAULT_REASON_ID) references SERVICEPROJECT_FAULT_REASON(ID)^
create index IDX_SERVICEPROJECT_HANDLE_METHOD_ON_SYMPTOM on SERVICEPROJECT_HANDLE_METHOD (SYMPTOM_ID)^
create index IDX_SERVICEPROJECT_HANDLE_METHOD_ON_DEVICE_TYPE on SERVICEPROJECT_HANDLE_METHOD (DEVICE_TYPE_ID)^
create index IDX_SERVICEPROJECT_HANDLE_METHOD_ON_FAULT_REASON on SERVICEPROJECT_HANDLE_METHOD (FAULT_REASON_ID)^
-- end SERVICEPROJECT_HANDLE_METHOD
-- begin SERVICEPROJECT_DEVICE
alter table SERVICEPROJECT_DEVICE add constraint FK_SERVICEPROJECT_DEVICE_ON_DEVICE_TYPE foreign key (DEVICE_TYPE_ID) references SERVICEPROJECT_DEVICE_TYPE(ID)^
alter table SERVICEPROJECT_DEVICE add constraint FK_SERVICEPROJECT_DEVICE_ON_DEVICE_MODEL foreign key (DEVICE_MODEL_ID) references SERVICEPROJECT_DEVICE_MODEL(ID)^
alter table SERVICEPROJECT_DEVICE add constraint FK_SERVICEPROJECT_DEVICE_ON_MANUFACTURE foreign key (MANUFACTURE_ID) references SERVICEPROJECT_MANUFACTURE(ID)^
alter table SERVICEPROJECT_DEVICE add constraint FK_SERVICEPROJECT_DEVICE_ON_SUPPLIER foreign key (SUPPLIER_ID) references SERVICEPROJECT_SUPPLIER(ID)^
alter table SERVICEPROJECT_DEVICE add constraint FK_SERVICEPROJECT_DEVICE_ON_CAMPUS foreign key (CAMPUS_ID) references SERVICEPROJECT_UNIVERSITY_CAMPUS(ID)^
alter table SERVICEPROJECT_DEVICE add constraint FK_SERVICEPROJECT_DEVICE_ON_CLASSROOM foreign key (CLASSROOM_ID) references SERVICEPROJECT_CLASSROOM(ID)^
create index IDX_SERVICEPROJECT_DEVICE_ON_DEVICE_TYPE on SERVICEPROJECT_DEVICE (DEVICE_TYPE_ID)^
create index IDX_SERVICEPROJECT_DEVICE_ON_DEVICE_MODEL on SERVICEPROJECT_DEVICE (DEVICE_MODEL_ID)^
create index IDX_SERVICEPROJECT_DEVICE_ON_MANUFACTURE on SERVICEPROJECT_DEVICE (MANUFACTURE_ID)^
create index IDX_SERVICEPROJECT_DEVICE_ON_SUPPLIER on SERVICEPROJECT_DEVICE (SUPPLIER_ID)^
create index IDX_SERVICEPROJECT_DEVICE_ON_CAMPUS on SERVICEPROJECT_DEVICE (CAMPUS_ID)^
create index IDX_SERVICEPROJECT_DEVICE_ON_CLASSROOM on SERVICEPROJECT_DEVICE (CLASSROOM_ID)^
-- end SERVICEPROJECT_DEVICE
-- begin SERVICEPROJECT_CLASSROOM
alter table SERVICEPROJECT_CLASSROOM add constraint FK_SERVICEPROJECT_CLASSROOM_ON_BUILDING foreign key (BUILDING_ID) references SERVICEPROJECT_BUILDING(ID)^
alter table SERVICEPROJECT_CLASSROOM add constraint FK_SERVICEPROJECT_CLASSROOM_ON_CAMPUS foreign key (CAMPUS_ID) references SERVICEPROJECT_UNIVERSITY_CAMPUS(ID)^
create index IDX_SERVICEPROJECT_CLASSROOM_ON_BUILDING on SERVICEPROJECT_CLASSROOM (BUILDING_ID)^
create index IDX_SERVICEPROJECT_CLASSROOM_ON_CAMPUS on SERVICEPROJECT_CLASSROOM (CAMPUS_ID)^
-- end SERVICEPROJECT_CLASSROOM
-- begin SERVICEPROJECT_EVENT_PROCESS
alter table SERVICEPROJECT_EVENT_PROCESS add constraint FK_SERVICEPROJECT_EVENT_PROCESS_ON_EVENT foreign key (EVENT_ID) references SERVICEPROJECT_EVENT(ID)^
alter table SERVICEPROJECT_EVENT_PROCESS add constraint FK_SERVICEPROJECT_EVENT_PROCESS_ON_HANDLER_COMPANY foreign key (HANDLER_COMPANY_ID) references SERVICEPROJECT_SUPPLIER(ID)^
alter table SERVICEPROJECT_EVENT_PROCESS add constraint FK_SERVICEPROJECT_EVENT_PROCESS_ON_TEAM_USER foreign key (TEAM_USER_ID) references SEC_USER(ID)^
alter table SERVICEPROJECT_EVENT_PROCESS add constraint FK_SERVICEPROJECT_EVENT_PROCESS_ON_STATUS foreign key (STATUS) references SERVICEPROJECT_EVENT_STATUS(ID)^
alter table SERVICEPROJECT_EVENT_PROCESS add constraint FK_SERVICEPROJECT_EVENT_PROCESS_ON_HANDLEMETHOD foreign key (HANDLEMETHOD_ID) references SERVICEPROJECT_HANDLE_METHOD(ID)^
create index IDX_SERVICEPROJECT_EVENT_PROCESS_ON_EVENT on SERVICEPROJECT_EVENT_PROCESS (EVENT_ID)^
create index IDX_SERVICEPROJECT_EVENT_PROCESS_ON_HANDLER_COMPANY on SERVICEPROJECT_EVENT_PROCESS (HANDLER_COMPANY_ID)^
create index IDX_SERVICEPROJECT_EVENT_PROCESS_ON_TEAM_USER on SERVICEPROJECT_EVENT_PROCESS (TEAM_USER_ID)^
create index IDX_SERVICEPROJECT_EVENT_PROCESS_ON_STATUS on SERVICEPROJECT_EVENT_PROCESS (STATUS)^
create index IDX_SERVICEPROJECT_EVENT_PROCESS_ON_HANDLEMETHOD on SERVICEPROJECT_EVENT_PROCESS (HANDLEMETHOD_ID)^
-- end SERVICEPROJECT_EVENT_PROCESS
-- begin SERVICEPROJECT_EVENT
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_CLASSROOM foreign key (CLASSROOM_ID) references SERVICEPROJECT_CLASSROOM(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_DEVICE foreign key (DEVICE_ID) references SERVICEPROJECT_DEVICE(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_SYMPTOM foreign key (SYMPTOM_ID) references SERVICEPROJECT_SYMPTOM(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_P_FAULT_REASON foreign key (P_FAULT_REASON_ID) references SERVICEPROJECT_FAULT_REASON(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_FAULT_REASON foreign key (FAULT_REASON_ID) references SERVICEPROJECT_FAULT_REASON(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_CAMPUS foreign key (CAMPUS_ID) references SERVICEPROJECT_UNIVERSITY_CAMPUS(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_STATUS foreign key (STATUS) references SERVICEPROJECT_EVENT_STATUS(ID)^
alter table SERVICEPROJECT_EVENT add constraint FK_SERVICEPROJECT_EVENT_ON_HANDLE_USER foreign key (HANDLE_USER_ID) references SEC_USER(ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_CLASSROOM on SERVICEPROJECT_EVENT (CLASSROOM_ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_DEVICE on SERVICEPROJECT_EVENT (DEVICE_ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_SYMPTOM on SERVICEPROJECT_EVENT (SYMPTOM_ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_P_FAULT_REASON on SERVICEPROJECT_EVENT (P_FAULT_REASON_ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_FAULT_REASON on SERVICEPROJECT_EVENT (FAULT_REASON_ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_CAMPUS on SERVICEPROJECT_EVENT (CAMPUS_ID)^
create index IDX_SERVICEPROJECT_EVENT_ON_STATUS on SERVICEPROJECT_EVENT (STATUS)^
create index IDX_SERVICEPROJECT_EVENT_ON_HANDLE_USER on SERVICEPROJECT_EVENT (HANDLE_USER_ID)^
-- end SERVICEPROJECT_EVENT
-- begin SERVICEPROJECT_SYMPTOM
alter table SERVICEPROJECT_SYMPTOM add constraint FK_SERVICEPROJECT_SYMPTOM_ON_DEVICE_TYPE foreign key (DEVICE_TYPE_ID) references SERVICEPROJECT_DEVICE_TYPE(ID)^
create index IDX_SERVICEPROJECT_SYMPTOM_ON_DEVICE_TYPE on SERVICEPROJECT_SYMPTOM (DEVICE_TYPE_ID)^
-- end SERVICEPROJECT_SYMPTOM
-- begin SERVICEPROJECT_DEVICE_TYPE
alter table SERVICEPROJECT_DEVICE_TYPE add constraint FK_SERVICEPROJECT_DEVICE_TYPE_ON_PARENT foreign key (PARENT_ID) references SERVICEPROJECT_DEVICE_TYPE(ID)^
create index IDX_SERVICEPROJECT_DEVICE_TYPE_ON_PARENT on SERVICEPROJECT_DEVICE_TYPE (PARENT_ID)^
-- end SERVICEPROJECT_DEVICE_TYPE
-- begin SERVICEPROJECT_DEVICE_MODEL
alter table SERVICEPROJECT_DEVICE_MODEL add constraint FK_SERVICEPROJECT_DEVICE_MODEL_ON_TYPE foreign key (TYPE_ID) references SERVICEPROJECT_DEVICE_TYPE(ID)^
alter table SERVICEPROJECT_DEVICE_MODEL add constraint FK_SERVICEPROJECT_DEVICE_MODEL_ON_MANUFACTURE foreign key (MANUFACTURE_ID) references SERVICEPROJECT_MANUFACTURE(ID)^
create index IDX_SERVICEPROJECT_DEVICE_MODEL_ON_TYPE on SERVICEPROJECT_DEVICE_MODEL (TYPE_ID)^
create index IDX_SERVICEPROJECT_DEVICE_MODEL_ON_MANUFACTURE on SERVICEPROJECT_DEVICE_MODEL (MANUFACTURE_ID)^
-- end SERVICEPROJECT_DEVICE_MODEL
-- begin SERVICEPROJECT_DISTRICT
alter table SERVICEPROJECT_DISTRICT add constraint FK_SERVICEPROJECT_DISTRICT_ON_CITY foreign key (CITY_ID) references SERVICEPROJECT_CITY(ID)^
create index IDX_SERVICEPROJECT_DISTRICT_ON_CITY on SERVICEPROJECT_DISTRICT (CITY_ID)^
-- end SERVICEPROJECT_DISTRICT
-- begin SERVICEPROJECT_BUILDING
alter table SERVICEPROJECT_BUILDING add constraint FK_SERVICEPROJECT_BUILDING_ON_CAMPUS foreign key (CAMPUS_ID) references SERVICEPROJECT_UNIVERSITY_CAMPUS(ID)^
create index IDX_SERVICEPROJECT_BUILDING_ON_CAMPUS on SERVICEPROJECT_BUILDING (CAMPUS_ID)^
-- end SERVICEPROJECT_BUILDING
-- begin SERVICEPROJECT_UNIVERSITY
alter table SERVICEPROJECT_UNIVERSITY add constraint FK_SERVICEPROJECT_UNIVERSITY_ON_DEPARTMENT foreign key (DEPARTMENT_ID) references SERVICEPROJECT_DEPARTMENT(ID)^
create index IDX_SERVICEPROJECT_UNIVERSITY_ON_DEPARTMENT on SERVICEPROJECT_UNIVERSITY (DEPARTMENT_ID)^
-- end SERVICEPROJECT_UNIVERSITY
-- begin SERVICEPROJECT_UNIVERSITY_CAMPUS
alter table SERVICEPROJECT_UNIVERSITY_CAMPUS add constraint FK_SERVICEPROJECT_UNIVERSITY_CAMPUS_ON_UNIVERSITY foreign key (UNIVERSITY_ID) references SERVICEPROJECT_UNIVERSITY(ID)^
alter table SERVICEPROJECT_UNIVERSITY_CAMPUS add constraint FK_SERVICEPROJECT_UNIVERSITY_CAMPUS_ON_GROUP foreign key (GROUP_ID) references SEC_GROUP(ID)^
create index IDX_SERVICEPROJECT_UNIVERSITY_CAMPUS_ON_UNIVERSITY on SERVICEPROJECT_UNIVERSITY_CAMPUS (UNIVERSITY_ID)^
create index IDX_SERVICEPROJECT_UNIVERSITY_CAMPUS_ON_GROUP on SERVICEPROJECT_UNIVERSITY_CAMPUS (GROUP_ID)^
-- end SERVICEPROJECT_UNIVERSITY_CAMPUS
