package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_BUILDING")
@Entity(name = "serviceproject_Building")
@NamePattern("%s-%s|campus,name")
public class Building extends StandardEntity {
    private static final long serialVersionUID = -4211229589664013411L;

    @Column(name = "name")
    protected String name;

    @Column(name = "address")
    protected String address;

    @Column(name = "floors")
    protected Integer floors;

    @Column(name = "classroom_amount")
    protected Integer classroomAmount;

    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "campus_id")
    protected UniversityCampus campus;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getFloors() {
        return floors;
    }

    public void setFloors(Integer floors) {
        this.floors = floors;
    }

    public Integer getClassroomAmount() {
        return classroomAmount;
    }

    public void setClassroomAmount(Integer classroomAmount) {
        this.classroomAmount = classroomAmount;
    }

    public UniversityCampus getCampus() {
        return campus;
    }

    public void setCampus(UniversityCampus campus) {
        this.campus = campus;
    }
}