package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_CLASSROOM")
@Entity(name = "serviceproject_Classroom")
@NamePattern("%s-%s|building,name")
public class Classroom extends StandardEntity {
    private static final long serialVersionUID = -177729594157089586L;

    @Column(name = "name")
    protected String name;

    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "building_id")
    protected Building building;

    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "campus_id")
    protected UniversityCampus campus;

    @Column(name = "floor")
    protected Integer floor;

    @Column(name = "memo")
    protected String memo;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Building getBuilding() {
        return building;
    }

    public void setBuilding(Building building) {
        this.building = building;
    }

    public Integer getFloor() {
        return floor;
    }

    public void setFloor(Integer floor) {
        this.floor = floor;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public UniversityCampus getCampus() {
        return campus;
    }

    public void setCampus(UniversityCampus campus) {
        this.campus = campus;
    }
}