package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;
import java.util.Date;

@Table(name = "SERVICEPROJECT_DEVICE")
@Entity(name = "serviceproject_Device")
@NamePattern("%s-%s|classroom,deviceType")
public class Device extends StandardEntity {
    private static final long serialVersionUID = 4662348129622561325L;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "device_type_id")
    protected DeviceType deviceType;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "device_model_id")
    protected DeviceModel deviceModel;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "manufacture_id")
    protected Manufacture manufacture;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "supplier_id")
    protected Supplier supplier;

    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "campus_id")
    protected UniversityCampus campus;

    @Column(name = "purchase_date")
    protected Date purchaseDate;

    @Column(name = "on_date")
    protected Date onDate;

    @Column(name = "life_time")
    protected String lifeTime;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "classroom_id")
    protected Classroom classroom;

    @Column(name = "memo")
    protected String memo;

    public DeviceType getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(DeviceType deviceType) {
        this.deviceType = deviceType;
    }

    public DeviceModel getDeviceModel() {
        return deviceModel;
    }

    public void setDeviceModel(DeviceModel deviceModel) {
        this.deviceModel = deviceModel;
    }

    public Manufacture getManufacture() {
        return manufacture;
    }

    public void setManufacture(Manufacture manufacture) {
        this.manufacture = manufacture;
    }

    public Supplier getSupplier() {
        return supplier;
    }

    public void setSupplier(Supplier supplier) {
        this.supplier = supplier;
    }

    public Date getPurchaseDate() {
        return purchaseDate;
    }

    public void setPurchaseDate(Date purchaseDate) {
        this.purchaseDate = purchaseDate;
    }

    public Date getOnDate() {
        return onDate;
    }

    public void setOnDate(Date onDate) {
        this.onDate = onDate;
    }

    public String getLifeTime() {
        return lifeTime;
    }

    public void setLifeTime(String lifeTime) {
        this.lifeTime = lifeTime;
    }

    public Classroom getClassroom() {
        return classroom;
    }

    public void setClassroom(Classroom classroom) {
        this.classroom = classroom;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public UniversityCampus getCampus() {
        return campus;
    }

    public void setCampus(UniversityCampus campus) {
        this.campus = campus;
    }
}