package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;
import com.haulmont.cuba.security.entity.User;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_DEVICE_TYPE")
@Entity(name = "serviceproject_DeviceType")
@NamePattern("%s|name")
public class DeviceType extends StandardEntity {
    private static final long serialVersionUID = -5225141906533126354L;

    @Column(name = "name")
    protected String name;

    @Column(name = "root")
    protected Boolean root;


    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = true)
    @JoinColumn(name = "parent_id")
    protected DeviceType parentType;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Boolean getRoot() {
        return root;
    }

    public void setRoot(Boolean root) {
        this.root = root;
    }

    public DeviceType getParentType() {
        return parentType;
    }

    public void setParentType(DeviceType parentType) {
        this.parentType = parentType;
    }


}