package com.vcube.serviceproject.entity;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;
import com.haulmont.cuba.security.entity.User;

import javax.persistence.*;
import java.util.Date;

@Table(name = "SERVICEPROJECT_EVENT")
@Entity(name = "serviceproject_Event")
public class Event extends StandardEntity {
    private static final long serialVersionUID = -7150817351983868670L;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "classroom_id")
    protected Classroom classroom;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "device_id")
    protected Device device;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "symptom_id")
    protected Symptom symptom;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "p_fault_reason_id")
    protected FaultReason preliminaryReason;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "fault_reason_id")
    protected FaultReason faultReason;

    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "campus_id")
    protected UniversityCampus campus;

    @Column(name = "event_date")
    protected Date eventDate;

    @Column(name = "influence")
    protected String influence;

    @Column(name = "memo")
    protected String memo;


    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "status")
    protected EventStatus status;

    @Column(name = "finish_date")
    protected Date finishDate;


    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "handle_user_id")
    protected User handleUser;

    public Classroom getClassroom() {
        return classroom;
    }

    public void setClassroom(Classroom classroom) {
        this.classroom = classroom;
    }

    public Device getDevice() {
        return device;
    }

    public void setDevice(Device device) {
        this.device = device;
    }

    public Symptom getSymptom() {
        return symptom;
    }

    public void setSymptom(Symptom symptom) {
        this.symptom = symptom;
    }

    public FaultReason getPreliminaryReason() {
        return preliminaryReason;
    }

    public void setPreliminaryReason(FaultReason preliminaryReason) {
        this.preliminaryReason = preliminaryReason;
    }

    public FaultReason getFaultReason() {
        return faultReason;
    }

    public void setFaultReason(FaultReason faultReason) {
        this.faultReason = faultReason;
    }

    public Date getEventDate() {
        return eventDate;
    }

    public void setEventDate(Date eventDate) {
        this.eventDate = eventDate;
    }

    public String getInfluence() {
        return influence;
    }

    public void setInfluence(String influence) {
        this.influence = influence;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public EventStatus getStatus() {
        return status;
    }

    public void setStatus(EventStatus status) {
        this.status = status;
    }

    public Date getFinishDate() {
        return finishDate;
    }

    public void setFinishDate(Date finishDate) {
        this.finishDate = finishDate;
    }

    public User getHandleUser() {
        return handleUser;
    }

    public void setHandleUser(User handleUser) {
        this.handleUser = handleUser;
    }

    public UniversityCampus getCampus() {
        return campus;
    }

    public void setCampus(UniversityCampus campus) {
        this.campus = campus;
    }
}