package com.vcube.serviceproject.entity;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;
import com.haulmont.cuba.security.entity.User;

import javax.persistence.*;
import java.util.Date;

@Table(name = "SERVICEPROJECT_EVENT_PROCESS")
@Entity(name = "serviceproject_EventProcess")
public class EventProcess extends StandardEntity {
    private static final long serialVersionUID = 8777833272373367523L;

    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "event_id")
    protected Event event;

    @Column(name = "handle_date")
    protected Date handleDate;

    @Column(name = "process_content")
    protected String processContent;

    @Column(name = "handler_name")
    protected String handlerName;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = true)
    @JoinColumn(name = "handler_company_id")
    protected Supplier handlerCompany;


    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "team_user_id")
    protected User teamUser;

    @Column(name = "handler_phone")
    protected String handlerPhone;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "status")
    protected EventStatus status;


    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = true)
    @JoinColumn(name = "handlemethod_id")
    protected HandleMethod handleMethod;

    public Event getEvent() {
        return event;
    }

    public void setEvent(Event event) {
        this.event = event;
    }

    public Date getHandleDate() {
        return handleDate;
    }

    public void setHandleDate(Date handleDate) {
        this.handleDate = handleDate;
    }

    public String getProcessContent() {
        return processContent;
    }

    public void setProcessContent(String processContent) {
        this.processContent = processContent;
    }

    public String getHandlerName() {
        return handlerName;
    }

    public void setHandlerName(String handlerName) {
        this.handlerName = handlerName;
    }

    public Supplier getHandlerCompany() {
        return handlerCompany;
    }

    public void setHandlerCompany(Supplier handlerCompany) {
        this.handlerCompany = handlerCompany;
    }

    public User getTeamUser() {
        return teamUser;
    }

    public void setTeamUser(User teamUser) {
        this.teamUser = teamUser;
    }

    public String getHandlerPhone() {
        return handlerPhone;
    }

    public void setHandlerPhone(String handlerPhone) {
        this.handlerPhone = handlerPhone;
    }

    public EventStatus getStatus() {
        return status;
    }

    public void setStatus(EventStatus status) {
        this.status = status;
    }

    public HandleMethod getHandleMethod() {
        return handleMethod;
    }

    public void setHandleMethod(HandleMethod handleMethod) {
        this.handleMethod = handleMethod;
    }
}