package com.vcube.serviceproject.entity;

import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_HANDLE_METHOD")
@Entity(name = "serviceproject_HandleMethod")
public class HandleMethod extends StandardEntity {
    private static final long serialVersionUID = 8783612263246380198L;

    @Column(name = "name")
    protected String name;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = true)
    @JoinColumn(name = "symptom_id")
    protected Symptom symptom;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = true)
    @JoinColumn(name = "device_type_id")
    protected DeviceType deviceType;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = true)
    @JoinColumn(name = "fault_reason_id")
    protected FaultReason faultReason;

    @Column(name = "memo")
    protected String memo;


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Symptom getSymptom() {
        return symptom;
    }

    public void setSymptom(Symptom symptom) {
        this.symptom = symptom;
    }

    public DeviceType getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(DeviceType deviceType) {
        this.deviceType = deviceType;
    }

    public FaultReason getFaultReason() {
        return faultReason;
    }

    public void setFaultReason(FaultReason faultReason) {
        this.faultReason = faultReason;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}