package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_SYMPTOM")
@Entity(name = "serviceproject_Symptom")
@NamePattern("%s-%s|deviceType,name")
public class Symptom extends StandardEntity {
    private static final long serialVersionUID = -2442544815929659480L;

    @Column(name = "name")
    protected String name;

    @Column(name = "memo")
    protected String memo;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "device_type_id")
    protected DeviceType deviceType;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public DeviceType getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(DeviceType deviceType) {
        this.deviceType = deviceType;
    }
}