package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_UNIVERSITY")
@Entity(name = "serviceproject_University")
@NamePattern("%s|name")
public class University extends StandardEntity {
    private static final long serialVersionUID = 6310904988175190572L;


    @Column(name = "name")
    protected String name;

    @Column(name = "address")
    protected String address;

    @Column(name = "telephone")
    protected String telephone;

    @Column(name = "linke_person")
    protected String linkPerson;

    @Column(name = "post_code")
    protected String postCode;


    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "department_id")
    protected Department department;



    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getLinkPerson() {
        return linkPerson;
    }

    public void setLinkPerson(String linkPerson) {
        this.linkPerson = linkPerson;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public Department getDepartment() {
        return department;
    }

    public void setDepartment(Department department) {
        this.department = department;
    }
}