package com.vcube.serviceproject.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.StandardEntity;
import com.haulmont.cuba.core.entity.annotation.Lookup;
import com.haulmont.cuba.core.entity.annotation.LookupType;
import com.haulmont.cuba.security.entity.Group;

import javax.persistence.*;

@Table(name = "SERVICEPROJECT_UNIVERSITY_CAMPUS")
@Entity(name = "serviceproject_UniversityCampus")
@NamePattern("%s|name")
public class UniversityCampus extends StandardEntity {
    private static final long serialVersionUID = 953141530421636954L;

    @Column(name = "name")
    protected String name;

    @Column(name = "address")
    protected String address;

    @Column(name = "telephone")
    protected String telephone;

    @Column(name = "post_code")
    protected String postCode;

    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @ManyToOne(fetch = FetchType.LAZY,optional = false)
    @JoinColumn(name = "university_id")
    protected University university;


    @Lookup(type = LookupType.DROPDOWN,actions = {"open"})
    @OneToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "group_id")
    protected Group serviceGroup;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public University getUniversity() {
        return university;
    }

    public void setUniversity(University university) {
        this.university = university;
    }

    public Group getServiceGroup() {
        return serviceGroup;
    }

    public void setServiceGroup(Group serviceGroup) {
        this.serviceGroup = serviceGroup;
    }
}