package com.vcube.serviceproject.web.screens.building;

import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.LookupField;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import com.vcube.serviceproject.entity.Building;
import com.vcube.serviceproject.entity.University;
import com.vcube.serviceproject.entity.UniversityCampus;

import javax.inject.Inject;

@UiController("serviceproject_Building.browse")
@UiDescriptor("building-browse.xml")
@LookupComponent("table")
@LoadDataBeforeShow
public class BuildingBrowse extends MasterDetailScreen<Building> {


//
//    @Inject
//    private CollectionLoader<University> universitiesDl;
    @Inject
    private CollectionLoader<UniversityCampus> campusesDl;
    @Inject
    private LookupField<UniversityCampus> campusField;

//    @Subscribe
//    private void onBeforeShow(BeforeShowEvent event) {
//        universitiesDl.load();
//    }
//

    private String queryString = "select e from serviceproject_UniversityCampus e where e.university=:university";

    @Subscribe("universityField")
    private void onUniversityFieldValueChange(HasValue.ValueChangeEvent<University> event) {
        campusField.clear();
        University university = event.getValue();
        campusesDl.setQuery(queryString);
        campusesDl.setParameter("university",university);
        campusesDl.load();
    }



}