package com.vcube.serviceproject.web.screens.classroom;

import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.LookupField;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import com.vcube.serviceproject.entity.Building;
import com.vcube.serviceproject.entity.Classroom;
import com.vcube.serviceproject.entity.University;
import com.vcube.serviceproject.entity.UniversityCampus;

import javax.inject.Inject;

@UiController("serviceproject_Classroom.browse")
@UiDescriptor("classroom-browse.xml")
@LookupComponent("table")
@LoadDataBeforeShow
public class ClassroomBrowse extends MasterDetailScreen<Classroom> {

    @Inject
    private CollectionLoader<UniversityCampus> campusesDl;

    @Inject
    private CollectionLoader<Building> buildingsDl;

    @Inject
    private LookupField<UniversityCampus> campusField;

    @Inject
    private LookupField<Building> buildingField;

    @Subscribe("universityField")
    private void onUniversityFieldValueChange(HasValue.ValueChangeEvent<University> event) {
        campusField.clear();
        campusesDl.setQuery("select e from serviceproject_UniversityCampus e where e.university=:university");
        campusesDl.setParameter("university",event.getValue());
        campusesDl.load();

    }

    @Subscribe("campusField")
    private void onCampusFieldValueChange(HasValue.ValueChangeEvent<UniversityCampus> event) {
        buildingField.clear();
        buildingsDl.setQuery("select e from serviceproject_Building e where e.campus=:campus");
        buildingsDl.setParameter("campus",event.getValue());
        buildingsDl.load();
    }





}