package com.vcube.serviceproject.web.screens.device;

import com.haulmont.cuba.gui.components.HasValue;
import com.haulmont.cuba.gui.components.LookupPickerField;
import com.haulmont.cuba.gui.components.PickerField;
import com.haulmont.cuba.gui.model.CollectionLoader;
import com.haulmont.cuba.gui.screen.*;
import com.vcube.serviceproject.entity.Building;
import com.vcube.serviceproject.entity.Classroom;
import com.vcube.serviceproject.entity.Device;
import com.vcube.serviceproject.entity.UniversityCampus;

import javax.inject.Inject;

@UiController("serviceproject_Device.browse")
@UiDescriptor("device-browse.xml")
@LookupComponent("table")
@LoadDataBeforeShow
public class DeviceBrowse extends MasterDetailScreen<Device> {


    @Inject
    private CollectionLoader<Classroom> classroomsDl;

    @Inject
    private LookupPickerField<Classroom> classroomField;


    @Inject
    private CollectionLoader<Building> buildingsDl;

    @Inject
    private LookupPickerField<Building> buildingField;

    @Subscribe("campusField")
    private void onCampusFieldValueChange(HasValue.ValueChangeEvent<UniversityCampus> event) {
        buildingField.clear();
        buildingsDl.setQuery("select e from serviceproject_Building e where e.campus=:campus");
        buildingsDl.setParameter("campus",event.getValue());
        buildingsDl.load();
    }

    @Subscribe("buildingField")
    private void onBuildingFieldValueChange(HasValue.ValueChangeEvent<Building> event) {
        classroomField.clear();
        classroomsDl.setQuery("select e from serviceproject_Classroom e where e.building =:building");
        classroomsDl.setParameter("building",event.getValue());
        classroomsDl.load();
    }





}